ZIP_ERROR_CODE_SYSTEM(3) | Library Functions Manual | ZIP_ERROR_CODE_SYSTEM(3)

# NAME

`zip_error_code_system` — get operating system error part of zip_error

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

int
`zip_error_code_system`(const zip_error_t *ze);

# DESCRIPTION

The `zip_error_code_system`() function returns the system specific part of the error from the zip_error error ze. For finding out what system reported the error, use zip_error_system_type(3).

# SEE ALSO

libzip(3), zip_error_code_zip(3), zip_error_system_type(3)

# HISTORY

`zip_error_code_system`() was added in libzip 1.0.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>

December 18, 2017 | NiH